﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<Models.EvaluationPillarViewModel>" %>

<div>
    <% Html.Kendo().Grid<Models.EvaluationQuestion>()
        .Name("QuestionsGrid" + Model.Pillar.Id)
        .TableHtmlAttributes(new { style = "font-size:8pt;" })
        .HtmlAttributes(new { style = "height:400px" })
        .DataSource(dataSource => dataSource
                .Ajax()
                .Model(model => model.Id(a => a.Id))
                .ServerOperation(true)
                .Events(e => e.RequestEnd("onPillarQuestionsRequestEnd"))
                .Create(create => create.Action("InsertEvaluationFormTab_Ajax", "Home", new { preEvaluationId = Model.EvaluationId, prePillarId = Model.Pillar.Id, preEvaluationSportId = Model.SportId }))
                .Read(read => read.Action("EvaluationFormTab_Ajax", "Home", new { id = Model.EvaluationId, pilId = Model.Pillar.Id }))
                .Update(update => update.Action("UpdateEvaluationFormTab_Ajax", "Home", new { evaluationId = Model.EvaluationId, pillarId = Model.Pillar.Id, evaluationSportId = Model.SportId }))
            )
        .Editable(e => e.Mode(Kendo.Mvc.UI.GridEditMode.InLine).Enabled(true))
        .Events(e => e.Edit("onEditQuestionGrid")
                )
        .Pageable(pager => pager.Input(true)
                                .Refresh(true)
                                .PageSizes(new[] { 10, 20, 30 })
                )
        .Scrollable(scrolling => scrolling.Height(380))
        .Resizable(resize => resize.Columns(true))
        .Sortable()
        .Selectable()
        .Filterable()
        .ToolBar(t =>
        {
            t.Create();
        })
        .Columns(columns =>
        {
            columns.Bound(s => s.SortOrder)
                .Width(40);
            columns.Bound(s => s.Question)
                .Width(150);
            columns.Bound(s => s.NotApplicable)
                .Width(75)
                .HtmlAttributes(new { style = "text-align:center" });
            columns.Bound(s => s.InitialAssessment)
                .Visible(!Model.CurrentStatusVisible)
                .Width(70);
            columns.Bound(s => s.CurrentAssessment)
                .Visible(!Model.CurrentStatusVisible)
                .Width(70);
            columns.Bound(r => r.InitialStatus)
                //.ClientTemplate("<div class='sprite sprite-StopLight_#=InitialStatus#'></div>")
                .Filterable(false)
                .Sortable(false)
                .HtmlAttributes(new { style = "text-align:center" })
                .Width(100);
            columns.Bound(r => r.CurrentStatus)
                .Visible(Model.CurrentStatusVisible)
                //.ClientTemplate("<div class='sprite sprite-StopLight_#=CurrentStatus#'></div>")
                .Filterable(false)
                .Sortable(false)
                .HtmlAttributes(new { style = "text-align:center" })
                .Width(100);
            columns.Bound(s => s.HasComments)
                .HeaderHtmlAttributes(new { title = "Comment" })
                .ClientTemplate("<div class='sprite sprite-note commentQuestionsGridWindow'></div>")
                .HtmlAttributes(new { style = "text-align:center" })
                .Width(50);
            columns.Command(commands =>
            {
                commands.Edit();
            })
            .Width(170)
            .Title("Command");
            //.HtmlAttributes(new { style = "white-space:nowrap;float:right;" });
        }).Render();
            
    %>           
</div>

<script type="text/javascript">

    function onPillarQuestionsRequestEnd(e) {
        if (e.type == "create" || e.type == "update" || e.type == "destroy") {
            this.read();
        }
    }

    function onEditQuestionGrid(e)
    {
//        var sportId = '<%: Model.Evaluation.SportId %>';
//        var canEditSportQuestions = <%: Model.CanEditSportQuestions.ToString().ToLower() %>;

    }

</script>
