﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<Models.EvaluationsQuestionsEvaluationVersionGridViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    EvaluationQuestions
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

        <% Html.Kendo().Grid<Models.EvaluationsQuestionsEvaluationVersionGridViewModel>()
            .Name("Versions")
            .TableHtmlAttributes(new { style = "font-size:8pt;" })
            .HtmlAttributes(new { style = "width:1100px;height:300px" })
            .DataSource(dataSource => dataSource
                    .Ajax()
                    .Model(model => model.Id(a => a.EvaluationVersionId))
                    .ServerOperation(true)
                    .Events(e => e.RequestEnd("onEvaluationVersionRequestEnd"))
                    .Create(create => create.Action("InsertEvaluationVersion", "Home"))
                    .Read(read => read.Action("LoadEvaluationsQuestionsEvaluationVersionsGridAjax", "Home"))
                    .Update(update => update.Action("UpdateEvaluationVersion", "Home").Data("onUpdateEvaluationVersion"))
                )
            .Editable(e => e.Mode(Kendo.Mvc.UI.GridEditMode.InLine).Enabled(true))
            //.Events(e => e.Change("onVersionGridRowSelect")
            //              .Edit("onEditEvaluationsVersion")
            //              .Save("onSaveEvaluationsVersion")
            //        )
            .Pageable(pager => pager.Input(true)
                                    .Refresh(true)
                                    .PageSizes(new[] { 10, 20, 30 })
                    )
            .Scrollable(scrolling => scrolling.Height(270))
            .Resizable(resize => resize.Columns(true))
            .Sortable()
            .Selectable()
            .Filterable()
            .ToolBar(t =>
            {
                t.Create();
            })
            .Columns(columns =>
            {
                columns.Bound(s => s.VersionId)
                    .Width(180);
                columns.Bound(s => s.OrganizationTypeName)
                    .Width(180);
                columns.Bound(s => s.Name_EN)
                    .Width(230);
                columns.Bound(s => s.Name_FR)
                    .Width(230);
                columns.Bound(s => s.VersionPhase)
                    .Width(80);
                columns.Bound(s => s.HasComments)
                    .HeaderHtmlAttributes(new { title = "Comments" })
                    //.ClientTemplate("<div class='sprite sprite-note commentEvaluationVersionWindow'></div>")
                    .HtmlAttributes(new { style = "text-align:center" })
                    .Width(50);
                columns.Command(commands =>
                {
                    commands.Custom("Copy").Click("copyEvaluationVersion");
                    commands.Edit();
                })
                .Width(170)
                .Title("Commands");
                //.HtmlAttributes(new { style = "white-space:nowrap;float:right;" });
            }).Render();
            
        %>

    <script type="text/javascript">

        function copyEvaluationVersion(e) {
        }

        function onUpdateEvaluationVersion(e) {
            return { id: e.EvaluationVersionId }
        }

        function onEvaluationVersionRequestEnd(e) {
            if (e.type == "create" || e.type == "update" || e.type == "destroy") {
                this.read();
            }
        }

    </script>
</asp:Content>

